package tax;

import java.util.*;

/**
 * A TaxSchedule is a collection of TaxTable objects, each
 * one identifiable by a String key.
 * 
 * @author Prof. David Bernstein, James Madison University
 *
 */
public class TaxSchedule extends HashMap<String, TaxTable>
{
  private String originator;
  
  /**
   * Explicit Value Constructor.
   * 
   * @param originator  The country/state/region 
   */
  public TaxSchedule(String originator)
  {
    this.originator = originator;
  }
  
  /**
   * Get the originator (i.e., country/state/region) of this TaxSchedule.
   * 
   * @return The originator
   */
  public String getOriginator()
  {
    return originator;
  }
}
